<template>
	<view>
		<web-view :src="outUrl"></web-view>
	</view>
</template>

<script>
export default {
  data() {
    return {
      enterUrl:'',//进入页面路由
      outUrl:'',//跳出页面路由
    }
  },
  onLoad(option) {
    //#ifdef MP-WEIXIN
    this.enterUrl=option.q
    //#endif
			
    //#ifdef MP-ALIPAY
    this.enterUrl=uni.getStorageSync('alipayQrCode')
    //#endif
			
    if(this.enterUrl){//普通二维码扫码进入
      let merchantId=this.getUrlKey('merchantId')
      let companyId=this.getUrlKey('companyId')
      let pdOpenid=uni.getStorageSync('openid')//胖丁小程序openid,临时用，当公众号授权做好之后可以删除
      let pdToken=uni.getStorageSync('token')
      let pdCreateUserId=uni.getStorageSync('createUserId')
      let pdUserId=uni.getStorageSync('userId')
      let baseUrl='https://wx.pangdly.com/#/scenicProduct?pdOpenid='+pdOpenid+'&pdToken='+pdToken+'&pdCreateUserId='+pdCreateUserId+'&pdUserId='+pdUserId
      let url='&merchantId='+merchantId+'&companyId='+companyId
      this.outUrl=baseUrl+url
					
    }else{//小程序页面跳转进入
      let merchantId=option.merchantId||''
      let companyId=option.companyId||''
      let ifyukuaiCode=option.ifyukuaiCode||''//是否是渝快码跳入，渝快码跳入需要在H5端另外走流程
      let pdOpenid=uni.getStorageSync('openid')//胖丁小程序openid,临时用，当公众号授权做好之后可以删除
      let pdToken=uni.getStorageSync('token')
      let pdCreateUserId=uni.getStorageSync('createUserId')
      let pdUserId=uni.getStorageSync('userId')
      let baseUrl='https://wx.pangdly.com/#/scenicProduct?pdOpenid='+pdOpenid+'&pdToken='+pdToken+'&pdCreateUserId='+pdCreateUserId+'&pdUserId='+pdUserId
      let url='&merchantId='+merchantId+'&companyId='+companyId+'&ifyukuaiCode='+ifyukuaiCode
      this.outUrl=baseUrl+url	
    }
  },
  methods: {
    getUrlKey(name){//---------------------------------------------------------------获取url
			  return(new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(decodeURIComponent(this.enterUrl)) || [, ''])[1].replace(/\+/g, '%20') || ''
    },
  }
}
</script>

<style>

</style>